#ifndef _WAFE_H_
#define _WAFE_H_

#define WINAMP_VERSION 0
/*
** int version = SendMessage(hwnd_winamp,WM_WA_IPC,0,IPC_GETVERSION);
**
** Version will be 0x20yx for winamp 2.yx. versions previous to Winamp 2.0
** typically (but not always) use 0x1zyx for 1.zx versions. Weird, I know.
*/

#define WINAMP_ISPLAYING 104

/*
** int res = SendMessage(hwnd_winamp,WM_USER,0,WINAMP_ISPLAYING);
**
** 1 == playing
** 3 == paused
** 0 == stopped
*/

#define WINAMP_GETOUTPUTTIME 105

/*
** int res = SendMessage(hwnd_winamp,WM_USER,mode,WINAMP_GETOUTPUTTIME);
**
** Returns: Mode 0: Position in milliseconds of the current song 
**          Mode 1: Song length in seconds
** Returns -1 if not playing or error.
*/

#define WINAMP_SETVOLUME 122

/* (requires Winamp 2.0+)
** SendMessage(hwnd_winamp,WM_USER,volume,WINAMP_SETVOLUME);
**
** WINAMP_SETVOLUME sets the volume of Winamp (from 0-255).
*/

#define WINAMP_SETPANNING 123

/* (requires Winamp 2.0+)
** SendMessage(hwnd_winamp,WM_USER,panning,WINAMP_SETPANNING);
**
** WINAMP_SETPANNING sets the panning of Winamp (from 0 (left) to 255 (right)).
*/

#define WINAMP_GETINFO 126 

/* (requires Winamp 2.05+)
** int inf=SendMessage(hwnd_winamp,WM_USER,mode,WINAMP_GETINFO);
**
** WINAMP_GETINFO returns info about the current playing song. The value
** it returns depends on the value of 'mode'.
** Mode      Meaning
** ------------------
** 0         Samplerate (i.e. 44100)
** 1         Bitrate  (i.e. 128)
** 2         Channels (i.e. 2)
*/

/*
** SendMessage(hwnd_winamp, WM_COMMAND,command_name,0);
*/

#define WINAMP_VOLUMEUP		40058 // turns the volume up a little
#define WINAMP_VOLUMEDOWN	40059 // turns the volume down a little

#define WINAMP_PREV			40044
#define WINAMP_PLAY			40045
#define WINAMP_PAUSE		40046
#define WINAMP_STOP			40047
#define WINAMP_NEXT			40048

#endif
